package com.caimei.module.base.entity.vo;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : LiJun
 * @date : 2020/6/4
 */
@Data
public class ProductThirdPartyVo{
    /**
     * 第三方商品序号
     */
    private Integer serial_number;

    /**
     * 采美商品ID
     */
    private Integer id;

    /**
     * 商品品牌
     */
    private String brand_title;


    /**
     * 商品分类组合文字串
     */
    private String category_full_title;

    /**
     * 商品名称
     */
    private String title;


    /**
     * 商品简单描述
     */
    private String memo;


    /**
     * 商品描述
     */
    private String description;


    /**
     * 商品图片列表
     */
    private List<String> image;



    /**
     * 市场指导价
     */
    private Double price;


    /**
     * 商品库存信息
     */
    private List<Map<String,Object>> skus;


    /**
     * 商品库存名称
     */
    private String skus_title;

    /**
     * 商品库存数量
     */
    private Integer stock;

    /**
     * 商品最小购买数量
     */
    private Integer min_purchase;

}
